Skip to main content
POST
/
api
/
v3
/
profiles
/
{profile_id}
/
link
Create verification public link
curl --request POST \
  --url https://api.dataspike.io/api/v3/profiles/{profile_id}/link \
  --header 'Content-Type: application/json' \
  --header 'ds-api-token: <api-key>' \
  --data '
{
  "expiration_in_minutes": 240
}
'
{
  "link_id": "LI2V0BVmLfGFQZbZQ3B7CeH3"
}

Authorizations

ds-api-token
string
header
required

Path Parameters

profile_id
string<uuid>
required

Existing profile id

Example:

"01827ed5-c228-7a3c-9a31-7ab7cc169d13"

Body

application/json

Verification Link payload

expiration_in_minutes
integer
default:240

Verification created with this link will have this expiration.

Example:

240

manual_field_settings
object
deprecated

This settings has migrated to VerificationProfileSettings

finish_screen_settings
object
deprecated

This settings has migrated to VerificationProfileSettings

Response

Link successfully created

Link id properties

Unique id of link. Participated in public url.

Example:

"LI2V0BVmLfGFQZbZQ3B7CeH3"